# Configuration guide

Formflow has first-party integration support for Insly Ledger. The integration allows for:

* manual or automatic export of submissions
* [email follow-up](/nora/configuration-guide/set-up-email-follow-ups.md) functionality with auto-export
* token sharing and federated authentication for Insly Agents

To configure it, navigate to the settings page and locate the custom integration settings. You will want to add a block with `type: "ledger"` defined, for example:

```json
[
  {
    "type": "ledger",
    "settings": {
      "scope": "auth/tenant",
      "tenant": "tenant",
      "baseUrl": "https://tenant.app.beta.insly.training",
      "clientId": "xxxredactedxxx",
      "clientSecret": "xxxredactedxxxxxxredactedxxx"
    }
  },
  // other integration blocks
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ai.insly.com/nora/configuration-guide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
